#include <civetweb.h>

#include <kqm/defs.h>
#include <kqm/types.h>

#include <stdio.h>
#include <string.h>

int main(int argc, char** argv)
{
    const char* options[] = {"document_root", "./www", "listening_ports", "8080", NULL};
    mg_callbacks callbacks;
    mg_context* ctx;

    memset(&callbacks, 0, sizeof(callbacks));
    ctx = mg_start(&callbacks, NULL, options);

    // mg_set_request_handler(ctx, "/", request_handler, NULL);

    printf("Server started on port(s) %s\n", mg_get_option(ctx, "listening_ports"));
    getchar();
    mg_stop(ctx);
}
